<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSafeZoneSettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d06/class_expansion_safe_zone_settings_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSafeZoneSettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Safezone settings base class.  
 <a href="../../d4/d06/class_expansion_safe_zone_settings_base.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionSafeZoneSettingsBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/d06/class_expansion_safe_zone_settings_base.png" usemap="#ExpansionSafeZoneSettingsBase_map" alt=""/>
  <map id="ExpansionSafeZoneSettingsBase_map" name="ExpansionSafeZoneSettingsBase_map">
<area href="../../d1/d15/class_expansion_setting_base.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,198,24"/>
<area href="../../d1/d15/class_expansion_setting_base.html" alt="ExpansionSettingBase" shape="rect" coords="208,0,406,24"/>
<area href="../../d5/d5a/class_expansion_safe_zone_settings.html" title="SafeZone settings class." alt="ExpansionSafeZoneSettings" shape="rect" coords="104,112,302,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a75263b47271e1cac99208beccacd2869"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d06/class_expansion_safe_zone_settings_base.html#a75263b47271e1cac99208beccacd2869">Enabled</a></td></tr>
<tr class="separator:a75263b47271e1cac99208beccacd2869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef949edf6bbf0bcc83a43c7bf38f8d8e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d06/class_expansion_safe_zone_settings_base.html#aef949edf6bbf0bcc83a43c7bf38f8d8e">FrameRateCheckSafeZoneInMs</a></td></tr>
<tr class="separator:aef949edf6bbf0bcc83a43c7bf38f8d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5966304c0b15c4e8361ff66b34a96e95"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d0/d5d/class_expansion_safe_zone_circle.html">ExpansionSafeZoneCircle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d06/class_expansion_safe_zone_settings_base.html#a5966304c0b15c4e8361ff66b34a96e95">CircleZones</a> = new array&lt; ref <a class="el" href="../../d0/d5d/class_expansion_safe_zone_circle.html">ExpansionSafeZoneCircle</a> &gt;</td></tr>
<tr class="separator:a5966304c0b15c4e8361ff66b34a96e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afef2185dc9c7e2424f38faa85c78e875"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html">ExpansionSafeZonePolygon</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d06/class_expansion_safe_zone_settings_base.html#afef2185dc9c7e2424f38faa85c78e875">PolygonZones</a> = new array&lt; ref <a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html">ExpansionSafeZonePolygon</a> &gt;</td></tr>
<tr class="separator:afef2185dc9c7e2424f38faa85c78e875"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Safezone settings base class. </p>
<p >Safezone settings v0 class.</p>
<p ><a class="el" href="../../da/d87/expansionsafezonesettings_8c.html">ExpansionSafeZoneSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html#l00016">16</a> of file <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a5966304c0b15c4e8361ff66b34a96e95" name="a5966304c0b15c4e8361ff66b34a96e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5966304c0b15c4e8361ff66b34a96e95">&#9670;&#160;</a></span>CircleZones</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d0/d5d/class_expansion_safe_zone_circle.html">ExpansionSafeZoneCircle</a>&gt; ExpansionSafeZoneSettingsBase::CircleZones = new array&lt; ref <a class="el" href="../../d0/d5d/class_expansion_safe_zone_circle.html">ExpansionSafeZoneCircle</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html#l00020">20</a> of file <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a75263b47271e1cac99208beccacd2869" name="a75263b47271e1cac99208beccacd2869"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75263b47271e1cac99208beccacd2869">&#9670;&#160;</a></span>Enabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSafeZoneSettingsBase::Enabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html#l00018">18</a> of file <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="aef949edf6bbf0bcc83a43c7bf38f8d8e" name="aef949edf6bbf0bcc83a43c7bf38f8d8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef949edf6bbf0bcc83a43c7bf38f8d8e">&#9670;&#160;</a></span>FrameRateCheckSafeZoneInMs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSafeZoneSettingsBase::FrameRateCheckSafeZoneInMs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html#l00019">19</a> of file <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="afef2185dc9c7e2424f38faa85c78e875" name="afef2185dc9c7e2424f38faa85c78e875"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afef2185dc9c7e2424f38faa85c78e875">&#9670;&#160;</a></span>PolygonZones</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html">ExpansionSafeZonePolygon</a>&gt; ExpansionSafeZoneSettingsBase::PolygonZones = new array&lt; ref <a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html">ExpansionSafeZonePolygon</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html#l00021">21</a> of file <a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/safezone/<a class="el" href="../../da/d87/expansionsafezonesettings_8c_source.html">expansionsafezonesettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d06/class_expansion_safe_zone_settings_base.html">ExpansionSafeZoneSettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
